Megosztás a következőn keresztül:


Registry Endpoint - Create Or Update

RegistryEndpointResource létrehozása

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.IoTOperations/instances/{instanceName}/registryEndpoints/{registryEndpointName}?api-version=2026-03-01

URI paraméterek

Név Ban Szükséges Típus Leírás
instanceName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$

Példány neve.

registryEndpointName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$

A RegistryEndpoint erőforrás neve

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Az erőforráscsoport neve. A név nem megkülönbözteti a kis- és nagybetűket.

subscriptionId
path True

string (uuid)

A cél-előfizetés azonosítója. Az értéknek UUID-nek kell lennie.

api-version
query True

string

minLength: 1

A művelethez használandó API-verzió.

Kérő Testület

Név Típus Leírás
extendedLocation

ExtendedLocation

Az erőforrás peremhálózati helye.

properties

RegistryEndpointProperties

Az erőforrás erőforrás-specifikus tulajdonságai.

Válaszok

Név Típus Leírás
200 OK

RegistryEndpointResource

A "RegistryEndpointResource" erőforrás frissítési művelete sikeres volt

201 Created

RegistryEndpointResource

A "RegistryEndpointResource" erőforrás létrehozási művelete sikeres volt

Fejlécek

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

Váratlan hibaválasz.

Biztonság

azure_auth

Azure Active Directory OAuth2-folyamat.

Típus: oauth2
Flow: implicit
Engedélyezési URL: https://login.microsoftonline.com/common/oauth2/authorize

Hatókörök

Név Leírás
user_impersonation a felhasználói fiók megszemélyesítése

Példák

RegistryEndpoint_CreateOrUpdate_MaximumSet

Mintakérés

PUT https://management.azure.com/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.IoTOperations/instances/resource-123/registryEndpoints/resource-123?api-version=2026-03-01

{
  "properties": {
    "host": "contoso.azurecr.io",
    "authentication": {
      "method": "Anonymous",
      "anonymousSettings": {}
    },
    "codeSigningCas": [
      {
        "type": "Secret",
        "secretRef": "my-secret"
      },
      {
        "type": "ConfigMap",
        "configMapRef": "my-configmap"
      }
    ]
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  }
}

Mintaválasz

{
  "properties": {
    "host": "contoso.azurecr.io",
    "authentication": {
      "method": "Anonymous",
      "anonymousSettings": {}
    },
    "codeSigningCas": [
      {
        "type": "Secret",
        "secretRef": "my-secret"
      },
      {
        "type": "ConfigMap",
        "configMapRef": "my-configmap"
      }
    ],
    "provisioningState": "Succeeded"
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/registryEndpoints/resource-name123",
  "name": "resource-name123",
  "type": "Microsoft.IoTOperations/registryEndpoints",
  "systemData": {
    "createdBy": "contosouser",
    "createdByType": "User",
    "createdAt": "2024-08-09T18:13:29.389Z",
    "lastModifiedBy": "contosouser",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-08-09T18:13:29.389Z"
  }
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
  "properties": {
    "host": "contoso.azurecr.io",
    "authentication": {
      "method": "Anonymous",
      "anonymousSettings": {}
    },
    "provisioningState": "Accepted"
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/registryEndpoints/resource-name123",
  "name": "resource-name123",
  "type": "Microsoft.IoTOperations/registryEndpoints",
  "systemData": {
    "createdBy": "contosouser",
    "createdByType": "User",
    "createdAt": "2024-08-09T18:13:29.389Z",
    "lastModifiedBy": "contosouser",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-08-09T18:13:29.389Z"
  }
}

Meghatározások

Név Leírás
createdByType

Az erőforrást létrehozó identitás típusa.

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

ErrorDetail

A hiba részletei.

ErrorResponse

Hibaválasz

ExtendedLocation

A kiterjesztett hely az Azure-helyek kiterjesztése. Lehetővé teszik az Azure ARC-kompatibilis Kubernetes-fürtök célhelyként való használatát az Azure-szolgáltatáspéldányok üzembe helyezéséhez.

ExtendedLocationType

Az ExtendedLocation felsorolást meghatározó típusa elfogadva.

ProvisioningState

Az erőforrás állapotát meghatározó felsorolás.

RegistryEndpointAnonymousAuthentication

Névtelen hitelesítés

RegistryEndpointArtifactPullSecretAuthentication

Titkos kódú összetevő lekéréses hitelesítése

RegistryEndpointArtifactPullSecretSettings

RegistryEndpoint összetevő titkos lekéréses hitelesítési tulajdonságai

RegistryEndpointAuthenticationMethod

A hitelesítési módszer.

RegistryEndpointProperties

RegistryEndpoint tulajdonságai

RegistryEndpointResource

RegistryEndpoint erőforrás

RegistryEndpointSystemAssignedIdentityAuthentication

Rendszer által hozzárendelt identitáshitelesítés

RegistryEndpointSystemAssignedManagedIdentitySettings

Rendszer által hozzárendelt felügyelt identitás tulajdonságai

RegistryEndpointTrustedSigningKeyConfigMap

A RegistryEndpoint megbízhatósági beállításai egy configmap-en keresztül biztosítottak.

RegistryEndpointTrustedSigningKeySecret

A RegistryEndpoint titkos kulcson keresztül biztosított megbízhatósági beállításai.

RegistryEndpointTrustedSigningKeyType

RegistryEndpointTrustedSigningKeyType értékek

RegistryEndpointUserAssignedIdentityAuthentication

Felhasználó által hozzárendelt identitás hitelesítése

RegistryEndpointUserAssignedManagedIdentitySettings

Felhasználó által hozzárendelt felügyelt identitás tulajdonságai

ResourceHealthState

Az erőforrás állapota.

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

createdByType

Az erőforrást létrehozó identitás típusa.

Érték Leírás
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

Név Típus Leírás
info

object

A további információk.

type

string

A további információtípus.

ErrorDetail

A hiba részletei.

Név Típus Leírás
additionalInfo

ErrorAdditionalInfo[]

A hiba további információi.

code

string

A hibakód.

details

ErrorDetail[]

A hiba részletei.

message

string

A hibaüzenet.

target

string

A hibacél.

ErrorResponse

Hibaválasz

Név Típus Leírás
error

ErrorDetail

A hibaobjektum.

ExtendedLocation

A kiterjesztett hely az Azure-helyek kiterjesztése. Lehetővé teszik az Azure ARC-kompatibilis Kubernetes-fürtök célhelyként való használatát az Azure-szolgáltatáspéldányok üzembe helyezéséhez.

Név Típus Leírás
name

string

A kiterjesztett hely neve.

type

ExtendedLocationType

Az ExtendedLocation típusa.

ExtendedLocationType

Az ExtendedLocation felsorolást meghatározó típusa elfogadva.

Érték Leírás
CustomLocation

CustomLocation típusa

ProvisioningState

Az erőforrás állapotát meghatározó felsorolás.

Érték Leírás
Succeeded

Az erőforrás létrejött.

Failed

Az erőforrás létrehozása nem sikerült.

Canceled

Az erőforrás létrehozása megszakadt.

Provisioning

Az erőforrás kiépítése folyamatban van.

Updating

Az erőforrás frissül.

Deleting

Az erőforrás törlése folyamatban van.

Accepted

Az erőforrás elfogadva lett.

RegistryEndpointAnonymousAuthentication

Névtelen hitelesítés

Név Típus Leírás
anonymousSettings

RegistryEndpointAnonymousSettings

Névtelen hitelesítési tulajdonságok

method string:

Anonymous

A hitelesítési módszer.

RegistryEndpointArtifactPullSecretAuthentication

Titkos kódú összetevő lekéréses hitelesítése

Név Típus Leírás
artifactPullSecretSettings

RegistryEndpointArtifactPullSecretSettings

Összetevő titkos lekéréses hitelesítési tulajdonságai

method string:

ArtifactPullSecret

A hitelesítési módszer.

RegistryEndpointArtifactPullSecretSettings

RegistryEndpoint összetevő titkos lekéréses hitelesítési tulajdonságai

Név Típus Leírás
secretRef

string

Az összetevő lekérési titkoját tartalmazó kubernetes titkos kód neve.

RegistryEndpointAuthenticationMethod

A hitelesítési módszer.

Érték Leírás
SystemAssignedManagedIdentity

SystemAssignedManagedIdentity típus

UserAssignedManagedIdentity

UserAssignedManagedIdentity típusa

Anonymous

Névtelen opció

ArtifactPullSecret

Titkos kódú összetevő lekéréses hitelesítése

RegistryEndpointProperties

RegistryEndpoint tulajdonságai

Név Típus Alapértelmezett érték Leírás
authentication RegistryEndpointAuthentication:

A Azure Container Registry hitelesítési beállításai.

codeSigningCas RegistryEndpointTrustedSigningKey[]:

A beállításjegyzék-végpont összetevői által használt aláíró hitelesítésszolgáltatók

healthState

ResourceHealthState

Unknown

Az erőforrás állapota.

host

string

minLength: 3
maxLength: 63

A Container Registry végpont állomásneve.

provisioningState

ProvisioningState

Az utolsó művelet állapota.

RegistryEndpointResource

RegistryEndpoint erőforrás

Név Típus Leírás
extendedLocation

ExtendedLocation

Az erőforrás peremhálózati helye.

id

string (arm-id)

Az erőforrás teljes erőforrás-azonosítója. Például: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Az erőforrás neve

properties

RegistryEndpointProperties

Az erőforrás erőforrás-specifikus tulajdonságai.

systemData

systemData

A createdBy és a modifiedBy adatokat tartalmazó Azure Resource Manager-metaadatok.

type

string

Az erőforrás típusa. Pl. "Microsoft.Compute/virtualMachines" vagy "Microsoft.Storage/storageAccounts"

RegistryEndpointSystemAssignedIdentityAuthentication

Rendszer által hozzárendelt identitáshitelesítés

Név Típus Leírás
method string:

SystemAssignedManagedIdentity

A hitelesítési módszer.

systemAssignedManagedIdentitySettings

RegistryEndpointSystemAssignedManagedIdentitySettings

Rendszer által hozzárendelt felügyelt identitás tulajdonságai

RegistryEndpointSystemAssignedManagedIdentitySettings

Rendszer által hozzárendelt felügyelt identitás tulajdonságai

Név Típus Leírás
audience

string

A szolgáltatás célközönsége, amely ellen hitelesíteni szeretne. Szabadon választható; alapértelmezés szerint a szolgáltatás gazdagép-konfigurációjának célközönsége lesz.

RegistryEndpointTrustedSigningKeyConfigMap

A RegistryEndpoint megbízhatósági beállításai egy configmap-en keresztül biztosítottak.

Név Típus Leírás
configMapRef

string

A configmap neve.

type string:

ConfigMap

A beállításjegyzék-végpont megbízhatósági típusa.

RegistryEndpointTrustedSigningKeySecret

A RegistryEndpoint titkos kulcson keresztül biztosított megbízhatósági beállításai.

Név Típus Leírás
secretRef

string

A titkos kód neve.

type string:

Secret

A beállításjegyzék-végpont megbízhatósági típusa.

RegistryEndpointTrustedSigningKeyType

RegistryEndpointTrustedSigningKeyType értékek

Érték Leírás
Secret

Kubernetes-titkos kulcsban tárolt megbízhatósági beállítások.

ConfigMap

A Kubernetes ConfigMapben tárolt megbízható beállítások.

RegistryEndpointUserAssignedIdentityAuthentication

Felhasználó által hozzárendelt identitás hitelesítése

Név Típus Leírás
method string:

UserAssignedManagedIdentity

A hitelesítési módszer.

userAssignedManagedIdentitySettings

RegistryEndpointUserAssignedManagedIdentitySettings

Felhasználó által hozzárendelt felügyelt identitás tulajdonságai

RegistryEndpointUserAssignedManagedIdentitySettings

Felhasználó által hozzárendelt felügyelt identitás tulajdonságai

Név Típus Leírás
clientId

string

A felhasználó által hozzárendelt felügyelt identitás ügyfélazonosítója.

scope

string

Az erőforrás erőforrás-azonosítója (alkalmazásazonosító: URI) az .default utótaggal együtt.

tenantId

string

Bérlőazonosító.

ResourceHealthState

Az erőforrás állapota.

Érték Leírás
Available

Az erőforrás elérhető és a várt módon működik.

Degraded

Az erőforrások állapota csökkent.

Unavailable

Az erőforrás nem a várt módon működik.

Unknown

Az erőforrás állapota ismeretlen.

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

Név Típus Leírás
createdAt

string (date-time)

Az erőforrás-létrehozás időbélyege (UTC).

createdBy

string

Az erőforrást létrehozó identitás.

createdByType

createdByType

Az erőforrást létrehozó identitás típusa.

lastModifiedAt

string (date-time)

Az erőforrás utolsó módosításának időbélyege (UTC)

lastModifiedBy

string

Az erőforrást legutóbb módosító identitás.

lastModifiedByType

createdByType

Az erőforrást legutóbb módosító identitás típusa.